# Xsane Configuere Script Bug

From: Juergen Sauer (jojo@automatix.de)
Date: Tue Jul 17 2001 - 04:05:17 PDT

- Next message: Pierre Abbat: "Re: How to write a backend?"
  - Previous message: fheitka@attglobal.net: "compiling latest sane on PowerPC Linux"
  - Next in thread: Henning Meier-Geinitz: "Re: Xsane Configuere Script Bug"
  - Reply: Henning Meier-Geinitz: "Re: Xsane Configuere Script Bug"
  - Reply: Oliver Rauch: "Re: Xsane Configuere Script Bug"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Moin,
  Bug report about Xsane 0.78, I was not able to enable the gimp Plugin
  mode during the ./configure script.

  I read the File Xsane.PROBLEMS, and followed that instructions.

  This is the result:
  [...]
  checking for gimp-config... (cached) /usr/bin/gimp-config
  checking for GIMP - version >= 1.0.0... no
  *** Could not run GIMP test program, checking why...
  [...]
  gtk-config is in /usr/bin
  gimp-config is in place /usr/bin

  I do Xsane config like this:
  -----------------------------------------------------
  #!/bin/bash
  if [ ! -x configure ] ; then
  echo Autoconfigure Script fehlt! ERROR
  exit 1
  fi

  ./configure \
  --prefix=/usr \
  --sysconfdir=/etc/sane.d \
  --with-gnu-ld \
  --with-gtk-prefix=/usr \
  --enable-gimp \
  --with-gimp-prefix=/usr

  if [ $? -gt 0 ] ; then
  echo Upps.
  exit 1
  fi
  exit 0
  ------------------------------------------------------
  I configured && build gimp like this, just before the xsane build:
  ------------------------------------------------------
  #!/bin/bash
  echo Jojo configuriert GIMP
  if [ ! -x configure ] ; then
  echo Autoconfigure Script fehlt! ERROR
  exit 1
  fi

  ./configure \
  --prefix=/usr \
  --enable-mp=yes \
  --with-included-gettext \
  --datadir=/usr/share/gimp \
  --with-gtk=/usr \
  --with-gnu-ld \
  --with-gimp-prefix=/usr/bin \

  if [ $? -gt 0 ] ; then
  echo Upps.
  echo Was schiefgegangen
  exit 1
  fi
  ------------------------------------------------------

  mfG
  Jürgen Sauer

      --
      Jürgen Sauer - AutomatiX GmbH, +49-4209-4699, jojo@automatix.de **
      ** Das Linux Systemhaus - Service - Support - Server - Lösungen **
      http://www.automatix.de to Mail me: remove: -not-for-spawm-     **
      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Pierre Abbat: "Re: How to write a backend?"
  - Previous message: fheitka@attglobal.net: "compiling latest sane on PowerPC Linux"
  - Next in thread: Henning Meier-Geinitz: "Re: Xsane Configuere Script Bug"
  - Reply: Henning Meier-Geinitz: "Re: Xsane Configuere Script Bug"
  - Reply: Oliver Rauch: "Re: Xsane Configuere Script Bug"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Tue Jul 17 2001 - 04:30:08 PDT